import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerAccountUpdateResourceTypesResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerAccountUpdateResourceTypesProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def update_resource_types(
        self,
        *,
        account_id: int,
        resource_types: list[_nested.AccountResourceType],
    ) -> CloudbrokerAccountUpdateResourceTypesResultBool:
        ...
